# NAME

Trf_Register - Register the specified transformation at the given interpreter.

# SYNOPSIS

    #include <transform.h>

    int Trf_Register
    (
    	Tcl_Interp *interp,
    	const Trf_TypeDefinition *type
    );

# PARAMETERS

Tcl_Interp *interp
  Interpreter to register at.
const Trf_TypeDefinition *type
  Transformation to register.

# DESCRIPTION

Extends the given interpreter with a new command giving access to the transformation described in 'type'. 'Type->name' is used as name of the command.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs